org.springframework.data.querydsl.binding

## Class QuerydslPredicateBuilder

- java.lang.Object
- - org.springframework.data.querydsl.binding.QuerydslPredicateBuilder

    public class QuerydslPredicateBuilder
    extends Object

Builder assembling `Predicate` out of `PropertyValues`.

Since:
  1.11
Author:
  Christoph Strobl, Oliver Gierke, Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`QuerydslPredicateBuilder(ConversionService conversionService, EntityPathResolver resolver)` Creates a new `QuerydslPredicateBuilder` for the given `ConversionService` and `EntityPathResolver`.

### Method Summary

All Methods Instance Methods Concrete Methods
`com.querydsl.core.types.Predicate` `getPredicate(TypeInformation<?> type, MultiValueMap<String,String> values, QuerydslBindings bindings)` Creates a Querydsl `Predicate` for the given values, `QuerydslBindings` on the given `TypeInformation`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### QuerydslPredicateBuilder

    public QuerydslPredicateBuilder(ConversionService conversionService,
                                    EntityPathResolver resolver)

Creates a new `QuerydslPredicateBuilder` for the given `ConversionService` and `EntityPathResolver`.

Parameters:
  `conversionService` - must not be null.
  `resolver` - can be null.

### Method Detail

#### getPredicate

    @Nullable
    public com.querydsl.core.types.Predicate getPredicate(TypeInformation<?> type,
                                                                    MultiValueMap<String,String> values,
                                                                    QuerydslBindings bindings)

Creates a Querydsl `Predicate` for the given values, `QuerydslBindings` on the given `TypeInformation`.

Parameters:
  `type` - the type to create a predicate for.
  `values` - the values to bind.
  `bindings` - the `QuerydslBindings` for the predicate.
Returns: